package com.ruoyi.system.service;

import com.ruoyi.system.domain.GtgsywPrintList;

import java.util.List;

/**
*  @Author: Abeiv
*  @Description:
*  @Date: 2019-12-9 10:17
*/
public interface GtgsywPrintListService {

    /**
     * 批量删除
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteGtgsywByIds(String ids);

    int deleteByPrimaryKey(Integer id);

    int insert(GtgsywPrintList record);

    int insertSelective(GtgsywPrintList record);

    GtgsywPrintList selectByPrimaryKey(String id);

    GtgsywPrintList selectByCB(String jycard,String Bsid);

    List<GtgsywPrintList> selectByCard(String jycard);

    int updateByPrimaryKeySelective(GtgsywPrintList record);

    int updateByPrimaryKey(GtgsywPrintList record);
    //分页查询
    List<GtgsywPrintList> selectAll(GtgsywPrintList gtgsywPrintList);
    /**
     * 查询是否重复下载
     * @param appNo
     * @return
     */
    String selectByAppNo(String appNo);

    //分页查询
    List<GtgsywPrintList> selectByIsPrint(GtgsywPrintList gtgsywPrintList);
}
